/* SPDX-License-Identifier: MIT
 * Copyright (c) 2021 KikooDX
 * This file is part of
 * [Painfull Success CG](https://git.sr.ht/~kikoodx/painfull-success-cg),
 * which is MIT licensed. The MIT license requires this copyright notice to be
 * included in all copies and substantial portions of the software. */
#include <gint/display.h>
#include <stdbool.h>
#include "player.h"
#include "vec2.h"

Player player_init() {
	return (Player){
		.pos = (Vec2){},
		.spd = (Vec2){},
		.facing = 1,
		.stun = false,
		.knocked = false,
		.keys_left = 0,
		.jump_buffer = 0,
		.coyot = 0,
	};
}
