/* SPDX-License-Identifier: MIT
 * Copyright (c) 2021 KikooDX
 * This file is part of
 * [Painfull Success CG](https://git.sr.ht/~kikoodx/painfull-success-cg),
 * which is MIT licensed. The MIT license requires this copyright notice to be
 * included in all copies and substantial portions of the software. */
#pragma once
#include <stdint.h>
#include "conf.h"
#include "tiles.h"
#include "vec2.h"

typedef struct Level{
	tile_t content[LEVEL_WIDTH * LEVEL_HEIGHT];
	Vec2 start_pos;
} Level;

void level_draw(Level level);
